-- Backup this version of the database:
-- Show the state of fragmentation 
-- talk about how that impacted performance
-- End Demo 1...

-- Later - set fillfactors and rebuild all fragmented indexes with fillfactor = 70%
-- Perform 1M inserts
--	* times should show differences
-- Check fragmentation 
-- End Demo 2...

---------------------------------------------------------------------
-- Backup all 3 databases
---------------------------------------------------------------------

ALTER DATABASE SalesDBInts SET RECOVERY SIMPLE
go

USE SalesDBInts
go

CHECKPOINT
go

ALTER DATABASE SalesDBInts SET RECOVERY FULL
go

BACKUP DATABASE SalesDBInts 
	TO DISK = N'E:\BACKUPS\SalesDBIntsCompressed(6.73M).BAK' 
WITH COMPRESSION
go

ALTER DATABASE SalesDBGUIDs SET RECOVERY SIMPLE
go

USE SalesDBGUIDs
go

CHECKPOINT
go

ALTER DATABASE SalesDBGUIDs SET RECOVERY FULL
go

BACKUP DATABASE SalesDBGUIDs 
	TO DISK = N'E:\BACKUPS\SalesDBGUIDsCompressed(6.73M).BAK' 
WITH COMPRESSION
go

ALTER DATABASE SalesDBSeqGUIDs SET RECOVERY SIMPLE
go

USE SalesDBSeqGUIDs
go

CHECKPOINT
go

ALTER DATABASE SalesDBSeqGUIDs SET RECOVERY FULL
go

BACKUP DATABASE SalesDBSeqGUIDs 
	TO DISK = N'E:\BACKUPS\SalesDBSeqGUIDsCompressed(6.73M).BAK' 
WITH COMPRESSION
go


